WebSphereAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.WebSphereAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface WebSphereAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface WebSphereAgentConfiguration

extends AgentConfiguration

Configuration for the WebSphere Sensor

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getDeepDiscoveryLevel()`
`java.lang.String` | `getFfdcLogDirectory()`
`java.lang.String` | `getMediumDiscoveryLevel()`
`java.lang.String` | `getShallowDiscoveryLevel()`
`java.lang.String` | `getTraceOutputFile()`
`java.lang.String` | `getTraceSpecification()`
`boolean` | `hasDeepDiscoveryLevel()`
`boolean` | `hasFfdcLogDirectory()`
`boolean` | `hasMediumDiscoveryLevel()`
`boolean` | `hasShallowDiscoveryLevel()`
`boolean` | `hasTraceOutputFile()`
`boolean` | `hasTraceSpecification()`
`void` | `setDeepDiscoveryLevel(java.lang.String deepDiscoveryLevel)`
`void` | `setFfdcLogDirectory(java.lang.String ffdcLogDirectory)`
`void` | `setMediumDiscoveryLevel(java.lang.String mediumDiscoveryLevel)`
`void` | `setShallowDiscoveryLevel(java.lang.String shallowDiscoveryLevel)`
`void` | `setTraceOutputFile(java.lang.String traceOutputFile)`
`void` | `setTraceSpecification(java.lang.String traceSpecification)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getShallowDiscoveryLevel

    java.lang.String getShallowDiscoveryLevel()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setShallowDiscoveryLevel

    void setShallowDiscoveryLevel(java.lang.String shallowDiscoveryLevel)

### hasShallowDiscoveryLevel

    boolean hasShallowDiscoveryLevel()

### getMediumDiscoveryLevel

    java.lang.String getMediumDiscoveryLevel()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMediumDiscoveryLevel

    void setMediumDiscoveryLevel(java.lang.String mediumDiscoveryLevel)

### hasMediumDiscoveryLevel

    boolean hasMediumDiscoveryLevel()

### getDeepDiscoveryLevel

    java.lang.String getDeepDiscoveryLevel()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeepDiscoveryLevel

    void setDeepDiscoveryLevel(java.lang.String deepDiscoveryLevel)

### hasDeepDiscoveryLevel

    boolean hasDeepDiscoveryLevel()

### getTraceSpecification

    java.lang.String getTraceSpecification()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTraceSpecification

    void setTraceSpecification(java.lang.String traceSpecification)

### hasTraceSpecification

    boolean hasTraceSpecification()

### getTraceOutputFile

    java.lang.String getTraceOutputFile()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTraceOutputFile

    void setTraceOutputFile(java.lang.String traceOutputFile)

### hasTraceOutputFile

    boolean hasTraceOutputFile()

### getFfdcLogDirectory

    java.lang.String getFfdcLogDirectory()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFfdcLogDirectory

    void setFfdcLogDirectory(java.lang.String ffdcLogDirectory)

### hasFfdcLogDirectory

    boolean hasFfdcLogDirectory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD